using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Domain
{
    public class SysUsers
    {
        /// <summary>
        /// ID
        /// </summary>
        public virtual int ID
        {
            get;
            set;
        }
        /// <summary>
        /// 登录账号
        /// </summary>
        public virtual string Account
        {
            get;
            set;
        }
        /// <summary>
        /// 登录密码
        /// </summary>
        public virtual string Password
        {
            get;
            set;
        }
        /// <summary>
        /// 登录密码（明文）
        /// </summary>
        public virtual string Password2
        {
            get;
            set;
        }
        /// <summary>
        /// 姓名
        /// </summary>
        public virtual string Name
        {
            get;
            set;
        }
        /// <summary>
        /// DistrictID
        /// </summary>
        public virtual int? DistrictID
        {
            get;
            set;
        }
        /// <summary>
        /// 所属部门
        /// </summary>
        public virtual int? DepartmentID
        {
            get;
            set;
        }
        /// <summary>
        /// PositionID
        /// </summary>
        public virtual int? PositionID
        {
            get;
            set;
        }

		/// <summary>
		/// 所属角色
		/// </summary>
		public virtual SysRole Role
		{
			get;
			set;
		}

		/// <summary>
		/// 所属分组
		/// </summary>
		public virtual Group Group
		{
			get;
			set;
		}

        /// <summary>
        /// 所属酒店分组
        /// </summary>
        public virtual SysHotelGroup SysHotelGroup
        {
            get;
            set;
        }

        /// <summary>
        /// Sex
        /// </summary>
        public virtual string Sex
        {
            get;
            set;
        }

		/// <summary>
		///	电话
		/// </summary>
		public virtual string Phone
		{
			get;
			set;
		}

        /// <summary>
        /// 邮件
        /// </summary>
        public virtual string Email
        {
            get;
            set;
        }
        /// <summary>
        /// 排序
        /// </summary>
        public virtual int Sort
        {
            get;
            set;
        }
        /// <summary>
        /// 备注
        /// </summary>
        public virtual string Remark
        {
            get;
            set;
        }
        /// <summary>
        /// 启用
        /// </summary>
        public virtual bool ActiveIndicator
        {
            get;
            set;
        }
        /// <summary>
        /// 创建人
        /// </summary>
        public virtual string CreatedBy
        {
            get;
            set;
        }
        /// <summary>
        /// 创建时间
        /// </summary>
        public virtual DateTime CreatedDate
        {
            get;
            set;
        }
        /// <summary>
        /// 修改人
        /// </summary>
        public virtual string ModifiedBy
        {
            get;
            set;
        }
        /// <summary>
        /// 登录IP
        /// </summary>
        public virtual string LoginIP
        {
            get;
            set;
        }
        /// <summary>
        /// 修改时间
        /// </summary>
        public virtual DateTime ModifiedDate
        {
            get;
            set;
        }
        /// <summary>
        /// 用户所拥有的权限的酒店
        /// </summary>
        public virtual IList<SysHotel> Hotels
        {
            get;
            set;
        }
        /// <summary>
        /// DistrictID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
        /// <summary>
        /// 最新更新日期
        /// </summary>
        public virtual DateTime? Last_Modified_Time
        {
            get;
            set;
        }
        /// <summary>
        /// 是否已删除
        /// </summary>
        public virtual bool IsDeleted
        {
            get;
            set;
        }
    }
}